SQLITE_INDEX_SCAN_UNIQUE(3)

NAME
SQLITE_INDEX_SCAN_UNIQUE, SQLITE_INDEX_SCAN_HEX - virtual table scan flags

SYNOPSIS
#include <sqlite3.h>
#define SQLITE_INDEX_SCAN_UNIQUE
#define SQLITE_INDEX_SCAN_HEX

DESCRIPTION
Virtual table implementations are allowed to set the sqlite3_index_info.idxFlags field to some combination of these bits.

IMPLEMENTATION NOTES
These declarations were extracted from the interface documentation at line 7506.

    #define SQLITE_INDEX_SCAN_UNIQUE 0x00000001 /* Scan visits at most 1 row */
    #define SQLITE_INDEX_SCAN_HEX    0x00000002 /* Display idxNum as hex */
                                                /* in EXPLAIN QUERY PLAN */

SEE ALSO
sqlite3_index_info(3)